#ifndef WARPGRID_H
#define WARPGRID_H

#include <vector>

#include <wx/string.h>
class wxWindow;

#include "monochromegrid.h"

class WarpGrid : public MonochromeGrid
{
public:
   WarpGrid ( wxWindow *parent, int id, size_t rowNo, size_t colNo, int cellHeight, int cellWidth = -1, bool verticalConstraint = true, bool horizontalConstraint = true );
   void OnGridRangeSelect(wxGridRangeSelectEvent& event);
   void OnLabelLeftClick ( wxGridEvent &e );
   void OnLabelRightClick ( wxGridEvent &e );
   void OnLeftClick ( wxGridEvent &e );
   void OnLeftDClick ( wxGridEvent &e );
   void getWarpKey ( std::string &key );
   void setWarpKey ( const std::string &key );
   void init();
   void preset ( size_t choice );
   void preset1();
   void preset2();
   void preset3();
   void preset4();
   void preset5();
   void preset6();
   void preset7();
   void preset8();

private:
   DECLARE_EVENT_TABLE()
};


#endif
